std::indirect_array::indirect_array(3)

NAME
std::indirect_array::indirect_array - std::indirect_array::indirect_array

Synopsis
   private: (until C++11)
   indirect_array();
   public: (1) (since C++11)
   indirect_array() = delete;
   public: (2)
   indirect_array( const indirect_array& other );
   1) The default constructor is
   declared private and not defined
   (until C++11)
   explicitly defined as deleted
   (since C++11): indirect_array is not DefaultConstructible.
   2) Constructs a indirect_array from another indirect_array other.

Parameters
   other - indirect_array to initialize with
   Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
     DR Applied to Behavior as published Correct behavior
   LWG 253 C++98 the copy constructor was private made public